Módulo de seguranca do BB: como instalar via terminal? [RESOLVIDO]

1. Módulo de seguranca do BB: como instalar via terminal? [RESOLVIDO]

Perfil removido
removido

(usa Nenhuma)

Enviado em 08/03/2017 - 15:59h

O Banco do Brasil criou um novo modulo de segurança.
Depois que faço o download do programa, chama a Central para instalar, mas não instala, dá a mensagem de erro: "a dependencia não é contentável: yad (>=0.16.1)"
Uso o Ubuntu 14.04, Debian
O arquivo do BB seria: hda-bb_0.1_all.deb
Fico muito grata quem me ajudar porque não estou podendo acessar o BB!

Gostaria de agradecer a todos que tanto se empenharam em ajudar nessa questão.
A conclusão que chego é a seguinte: se ficar o bicho pega, se correr o bicho come!!
Se não instalo fico sem acesso, se instalo posso danificar meu computador e acabar com minha privacidade!
Instalar um modulo de um banco que se mostra extremamente invasivo e que compromete teu computador, acho que não vale a pena.
No meu caso não vale a pena mesmo porque sou aposentada e o dinheiro que tenho no BB é tão pouco que não vale o risco de comprometer meu computador nem minha privacidade.
Aquela merreca que eu ganho dá pra gerenciar no APP do BB no celular...tranquilo!
Quais os motivos de um banco ter colocado um acesso que na verdade não funciona?
Ou voces acham que eles não "sabiam" da encrenca?
Talvez detonar o Linux, talvez forçar o uso do App (que é muito bom, reconheço)...um motivo existe mas...mistério!
Vai saber?!!
De todo modo, vou deixar o tópico "Não resolvido" porque ainda pode que a coisa funcione, alguém ache uma solução e poste aqui :)
Sorte é que lembrei do meu velho NetBook que estava escondido no meio do meu artesanato e lá a versão do FF está 47.0!
Estou acessando por lá, desabilitei a atualização e assim eu resolvi o problema!
Obrigada a todos, foi um bom aprendizado!
Valeu muito! :)
--------------------------------------------------------
Foi resolvido, a resposta Nº 87 de Miguel G!
Estou acessando o BB normalmente.
E foi resolvida por causa das contribuições de todos, parabéns!
Ponto para o Linux! :)


  


2. MELHOR RESPOSTA

Miguel González
Miguel G.

(usa Ubuntu)

Enviado em 15/03/2017 - 09:20h

Por increível que pareça, a solução mais simples é esquecer a página do BB e o seu programa.
No site abaixo foi publicada a solução. Bruno Gonçalves se deu conta de que o programa do BB é "um instalador de outro instalador", por tanto o melhor era ir direito à página de Gas Tecnologias e instalar o warsaw_setup, o mesmo que está no tutorial de Alexbr. Eu fiz isso no meu computador com Ubuntu 14.04, através do "Centro de Software de Ubuntu", como os navegadores fechados. Terminei a instalação, reiniciei e aí está! abri o Firefox e acessei a conta sem problemas. Nada de diagnósticos, nem dependências, tudo em apenas um clique. O tutorial do BB nos atrapalhou e o banco nem deu suporte nem p**** nenhuma.
https://talesam.org/2017/03/14/instalando-o-modulo-de-seguranca-banco-brasil-warsaw/ 


Debian, Ubuntu e derivados em versão 32 bits: https://cloud.gastecnologia.com.br/bb/downloads/ws/warsaw_setup.deb
Debian, Ubuntu e derivados em versão 64 bits: https://cloud.gastecnologia.com.br/bb/downloads/ws/warsaw_setup64.deb


Fedora, Suse e outros .rpm de 32 bits: https://cloud.gastecnologia.com.br/bb/downloads/ws/warsaw_setup.rpm

Fedora, Suse e outros .rpm de 64 bits: https://cloud.gastecnologia.com.br/bb/downloads/ws/warsaw_setup64.rpm




3. Re: Módulo de seguranca do BB: como instalar via terminal? [RESOLVIDO]

Guilherme
Ghost_Shell

(usa Arch Linux)

Enviado em 08/03/2017 - 16:06h

AngelicaMaria escreveu:

O Banco do Brasil criou um novo modulo de segurança, depois que faço o download do programa, chama a Central para instalar, mas não instala, dá a mensagem de erro: "a dependencia não é contentável: yad (>=0.16.1)"
Uso o Ubuntu 14.04 Debian
Fico muito grata quem me ajudar porque não estou podendo acessar o BB!


sudo apt-cache search yad --> para procurar o pacote nos repos

Caso ache:

apt-get update && apt-get install yad

Keep it simple stupid!


4. Re: Módulo de seguranca do BB: como instalar via terminal? Não consigo pela Central de Programas

Izaias
izaias

(usa LMDE)

Enviado em 08/03/2017 - 18:35h

Se conseguir instalar o pacote yad, indicado pelo colega, faça:

sudo dpkg -i hda-bb_0.1_all.deb
sudo apt-get -f install




*******************************************************
* https://www.linuxcounter.net/cert/620448.png *
*******************************************************


5. Re: Módulo de seguranca do BB: como instalar via terminal? [RESOLVIDO]

Perfil removido
removido

(usa Nenhuma)

Enviado em 08/03/2017 - 19:39h

Ghost_Shell escreveu:

AngelicaMaria escreveu:

O Banco do Brasil criou um novo modulo de segurança, depois que faço o download do programa, chama a Central para instalar, mas não instala, dá a mensagem de erro: "a dependencia não é contentável: yad (>=0.16.1)"
Uso o Ubuntu 14.04 Debian
Fico muito grata quem me ajudar porque não estou podendo acessar o BB!


sudo apt-cache search yad --> para procurar o pacote nos repos

Caso ache:

apt-get update && apt-get install yad

Keep it simple stupid!


Achei o arquivo mas ao instalar da a msg: E: Não foi possível abrir arquivo de trava /var/lib/apt/lists/lock - open (13: Permissão negada)
E: Impossível criar acesso exclusivo ao directório /var/lib/apt/lists/
E: Não foi possível abrir arquivo de trava /var/lib/dpkg/lock - open (13: Permissão negada)
E: Não foi possível criar acesso exclusivo ao directório de administração (/var/lib/dpkg/), é root?





6. Re: Módulo de seguranca do BB: como instalar via terminal? [RESOLVIDO]

Guilherme
Ghost_Shell

(usa Arch Linux)

Enviado em 08/03/2017 - 20:45h

AngelicaMaria escreveu:

Ghost_Shell escreveu:

AngelicaMaria escreveu:

O Banco do Brasil criou um novo modulo de segurança, depois que faço o download do programa, chama a Central para instalar, mas não instala, dá a mensagem de erro: "a dependencia não é contentável: yad (>=0.16.1)"
Uso o Ubuntu 14.04 Debian
Fico muito grata quem me ajudar porque não estou podendo acessar o BB!


sudo apt-cache search yad --> para procurar o pacote nos repos

Caso ache:

apt-get update && apt-get install yad

Keep it simple stupid!


Achei o arquivo mas ao instalar da a msg: E: Não foi possível abrir arquivo de trava /var/lib/apt/lists/lock - open (13: Permissão negada)
E: Impossível criar acesso exclusivo ao directório /var/lib/apt/lists/
E: Não foi possível abrir arquivo de trava /var/lib/dpkg/lock - open (13: Permissão negada)
E: Não foi possível criar acesso exclusivo ao directório de administração (/var/lib/dpkg/), é root?




coloca o sudo na frente do comando

sudo apt-get update && sudo apt get install yad

Keep it simple stupid!


7. Re: Módulo de seguranca do BB: como instalar via terminal? [RESOLVIDO]

Perfil removido
removido

(usa Nenhuma)

Enviado em 08/03/2017 - 22:10h

Ghost_Shell escreveu:

AngelicaMaria escreveu:

Ghost_Shell escreveu:

AngelicaMaria escreveu:

O Banco do Brasil criou um novo modulo de segurança, depois que faço o download do programa, chama a Central para instalar, mas não instala, dá a mensagem de erro: "a dependencia não é contentável: yad (>=0.16.1)"
Uso o Ubuntu 14.04 Debian
Fico muito grata quem me ajudar porque não estou podendo acessar o BB!


sudo apt-cache search yad --> para procurar o pacote nos repos

Caso ache:

apt-get update && apt-get install yad

Keep it simple stupid!


Achei o arquivo mas ao instalar da a msg: E: Não foi possível abrir arquivo de trava /var/lib/apt/lists/lock - open (13: Permissão negada)
E: Impossível criar acesso exclusivo ao directório /var/lib/apt/lists/
E: Não foi possível abrir arquivo de trava /var/lib/dpkg/lock - open (13: Permissão negada)
E: Não foi possível criar acesso exclusivo ao directório de administração (/var/lib/dpkg/), é root?




coloca o sudo na frente do comando

sudo apt-get update && sudo apt get install yad

Keep it simple stupid!


Sim, fiz isso, acho que instalou, mas e agora? quando dou os comandos para o arquivo hda-bb_0.1_all.deb não acontece nada




8. Re: Módulo de seguranca do BB: como instalar via terminal? Não consigo pela Central de Programas

Perfil removido
removido

(usa Nenhuma)

Enviado em 08/03/2017 - 22:11h

izaias escreveu:

Se conseguir instalar o pacote yad, indicado pelo colega, faça:

sudo dpkg -i hda-bb_0.1_all.deb
sudo apt-get -f install



*******************************************************
* https://www.linuxcounter.net/cert/620448.png *
*******************************************************


Olá, acho que está instalado o yad, mas quando dou os comandos para o arquivo hda-bb_0.1_all.deb não dá certo, não acontece nada...será que tem que colocar aqui o arquivo?



9. Re: Módulo de seguranca do BB: como instalar via terminal? [RESOLVIDO]

Izaias
izaias

(usa LMDE)

Enviado em 08/03/2017 - 22:20h

AngelicaMaria escreveu:

Olá, acho que está instalado o yad, mas quando dou os comandos para o arquivo hda-bb_0.1_all.deb não dá certo, não acontece nada...será que tem que colocar aqui o arquivo?



Tem certeza que o nome do arquivo é esse mesmo: hda-bb_0.1_all.deb ??
Está na pasta Downloads ?

Estranho, acesso o BB sem nada disso.
Tem o Java instalado?


*******************************************************
* https://www.linuxcounter.net/cert/620448.png *
*******************************************************


10. Re: Módulo de seguranca do BB: como instalar via terminal? Não consigo pela Central de Programas

Perfil removido
removido

(usa Nenhuma)

Enviado em 08/03/2017 - 22:23h

izaias escreveu:

AngelicaMaria escreveu:

Olá, acho que está instalado o yad, mas quando dou os comandos para o arquivo hda-bb_0.1_all.deb não dá certo, não acontece nada...será que tem que colocar aqui o arquivo?



Tem certeza que o nome do arquivo é esse mesmo: hda-bb_0.1_all.deb ??
Está na pasta Downloads ?

Estranho, acesso o BB sem nada disso.
Tem o Java instalado?

Sim o BB mudou tudo hoje, eu também acessava normalmente até hoje de tarde.
Certeza é esse o arquivo, esta na pasta do download.
Sim, tenho o java instalado, mas agora precisa desse bendito Modulo de segurança que eles inventaram para infernizar a nossa vida.
Fui na pagina do Java e acho que talvez o problema seja esse, não rodou mais o Java para mim
E agora? Vejam: www.java.com

*******************************************************
* https://www.linuxcounter.net/cert/620448.png *
*******************************************************





11. Re: Módulo de seguranca do BB: como instalar via terminal? [RESOLVIDO]

Izaias
izaias

(usa LMDE)

Enviado em 08/03/2017 - 22:33h

Mais uma tentativa:

cd ~/Downloads

sudo dpkg -i hda-bb_0.1_all.deb
sudo apt-get -f install


Feche o navegador e reabra. Veja se consegue acessar.



*******************************************************
* https://www.linuxcounter.net/cert/620448.png *
*******************************************************


12. Mesmo problema

Flávio Ferraz de Campos Júnior
flaviofcjr

(usa Ubuntu)

Enviado em 09/03/2017 - 09:05h

Pessoal, estou com o mesmo problema....
Ontem, acessei o site do banco e fiz pagamentos por ele, sem qualquer problema.
Hoje, fui acessá-lo e diz "Erro W03", módulo de segurança desatualizado.
Baixei esse arquivo HDA aí, instalei (mesmo falando que faltava a dependência yad). Procuro ele na Dash (uso Ubuntu 16.04 LTS) e nem aparece na lista dos programas instalados (detalhe: na central de programas, ele aparece como "remover", significando que está instalado).
Mais alguém aí com esse problema?